Subject: iSCSI: requirements terminology

From: [email-masked]
Date: Sun, 10 Nov 2002 19:10:32 -0500

I've seen some confusion over use of words to
express requirements in the iSCSI draft.  There
are a couple of important points to keep in mind:

(1) Unless there is some clear reason
in the text of the iSCSI draft to interpret them in 
some other fashion, "prohibited" is equivalent to
"MUST NOT" and "mandatory" is equivalent to "MUST"
(in their RFC 2119 meaning in both cases).  While RFC
2119 terms provide clarity in requirement statements,
the IETF does not require that all requirements be
expressed using RFC 2119 terms, and it would certainly
be wrong to interpret "prohibited" and "mandatory"
as not stating requirements solely because 
those two terms are not defined in RFC 2119.

(2) OTOH, use of an RFC 2119-defined term in lower
case (e.g., "must", "should") assigns the common usage
(i.e., dictionary) meaning to that term rather than
its RFC 2119 meaning.  Such a term may still express
a requirement, but that depends on the specific
usage and context.  It is also the case that the common
usage meaning of "should" is weaker than the RFC 2119
meaning of "SHOULD" (and similarly for "should not" vs.
"SHOULD NOT").  It is generally reasonable to initially
assume that use of a lower case version of an RFC 2119
term was a deliberate decision made by the draft
author(s) and/or the WG to limit usage of RFC 2119 terms
in accordance with the guidance in Section 6 of RFC 2119,
but this needs to be checked based on the actual usage
and context in each case.

Thanks,
--David

----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953 **NEW**     FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------